function [ S ] = OutputStruct( S )
try
    fields = fieldnames(S);
    for i = 1:length(fields)
        parts = strsplit(fields{i},'_');
        if length(parts) > 1
            remaining_parts = '';
            for j = 2:length(parts)
                remaining_parts = [remaining_parts parts{j} '_'];
            end
            S.(parts{1}).(remaining_parts(1:end-1)) = S.(fields{i});
            S = rmfield(S,fields{i});
        end
    end
    fields = fieldnames(S);
    for i = 1:length(fields)
        [ S.(fields{i}) ] = OutputStruct(S.(fields{i}));
    end
end
end